'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _sensor = require('../../API/sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

var _dashboard = require('../../API/dashboard/dashboard.model');

var _dashboard2 = _interopRequireDefault(_dashboard);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { populateDashboard: populateDashboard };

/* istanbul ignore next */

function populateDashboard() {
    _sensor2.default.findAsync({}).then(function (devices) {
        _dashboard2.default.find({}).remove(function () {
            _dashboard2.default.create(new _dashboard2.default({
                devices: devices.map(function (device) {
                    return device._id;
                })
            }));
        });
    });
}
module.exports = exports['default'];
//# sourceMappingURL=dashboard.js.map
