'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dashboardModel = require('./dashboard.model.js');

var _dashboardModel2 = _interopRequireDefault(_dashboardModel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function update(req, res) {
    _dashboardModel2.default.findOneAndUpdateAsync({}, req.body, { new: true }).then(function (dashboard) {
        _dashboardModel2.default.populate(dashboard, getDevicePopulationConfig(), function (err, result) {
            res.json(result);
        });
    });
}

function query(req, res) {
    _dashboardModel2.default.findOne({}).populate(getDevicePopulationConfig()).then(function (result) {
        res.json(result);
    });
}

function getDevicePopulationConfig() {
    return {
        path: 'devices',
        model: 'Sensor'
    };
}

exports.default = { update: update, query: query };
module.exports = exports['default'];
//# sourceMappingURL=dashboard.controller.js.map
